
# .pro to build project using qmake
# run $qmake build_makefile.pro

SRC=src/
H=header/

EXTERNAL_SRC=external/src/
EXTERNAL_INCLUDE=external/include/

F01=main
F02=v3
F03=v4
F04=matrix3
F05=quaternion
F06=string_helper
F07=trackball
F08=navigator_tool
F09=glut_helper
F10=texture



HEADERS = $${EXTERNAL_INCLUDE}$${F02}.hpp \
          $${EXTERNAL_INCLUDE}$${F03}.hpp \
          $${EXTERNAL_INCLUDE}$${F04}.hpp \
          $${EXTERNAL_INCLUDE}$${F05}.hpp \
          $${EXTERNAL_INCLUDE}$${F06}.hpp \
          $${EXTERNAL_INCLUDE}$${F07}.hpp \
          $${EXTERNAL_INCLUDE}$${F08}.hpp \
          $${EXTERNAL_INCLUDE}$${F09}.hpp \
          $${EXTERNAL_INCLUDE}$${F10}.hpp \



SOURCES = $${SRC}$${F01}.cpp \
          $${EXTERNAL_SRC}$${F02}.cpp \
          $${EXTERNAL_SRC}$${F03}.cpp \
          $${EXTERNAL_SRC}$${F04}.cpp \
          $${EXTERNAL_SRC}$${F05}.cpp \
          $${EXTERNAL_SRC}$${F06}.cpp \
          $${EXTERNAL_SRC}$${F07}.cpp \
          $${EXTERNAL_SRC}$${F08}.cpp \
          $${EXTERNAL_SRC}$${F09}.cpp \
          $${EXTERNAL_SRC}$${F10}.cpp \


TARGET = projet_cpe
QT += opengl
CONFIG += release warn_on

TINYXML=external/tinyxml


INCLUDEPATH = $${H} $${EXTERNAL_INCLUDE} $${TINYXML}

LIBS = -lglut -L$${TINYXML} -ltinyxml


unix{
OBJECTS_DIR = junk/
MOC_DIR     = junk/
}
